Issue2005

classification
Title: threading.Event object's wait([timeout]) function returns null instead of True/False.
Type: behaviour Severity: normal
Components: Core Versions: Jython 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: bj0, fwierzbicki, santa4nt
Priority: normal Keywords: patch

Created on 2013-01-19.07:03:48 by bj0, last changed 2013-03-22.17:05:33 by fwierzbicki.

Files
File name Uploaded Description Edit Remove
issue2005.patch santa4nt, 2013-03-21.05:50:40 threading.Event.wait() should return bool
Messages
msg7575 (view) Author: Brian Parma (bj0) Date: 2013-01-19.07:03:47
in python 2.7 this was changed to return True if the function was unblocked by the flag being set and False if the timeout occurs.  Jython doesn't yet have this change.

ref: http://docs.python.org/2/library/threading.html#threading.Event.wait
msg7950 (view) Author: Santoso Wijaya (santa4nt) Date: 2013-03-21.05:50:40
Simple one-liner to fix.

Not enabling test_threading yet since there are lots of other issues there.
msg7956 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2013-03-22.17:05:21
Applied patch in http://hg.python.org/jython/rev/0d7595c0dafe thanks Santoso Wijaya!
History
Date User Action Args
2013-03-22 17:05:33fwierzbickisetstatus: open -> closed
resolution: remind -> fixed
2013-03-22 17:05:21fwierzbickisetmessages: + msg7956
2013-03-21 15:31:30fwierzbickisetassignee: fwierzbicki
2013-03-21 05:50:40santa4ntsetfiles: + issue2005.patch
nosy: + santa4nt
keywords: + patch
messages: + msg7950
components: + Core, - None
2013-02-20 00:22:36fwierzbickisetpriority: normal
nosy: + fwierzbicki
resolution: remind
versions: + Jython 2.7, - 2.7a2
2013-01-19 07:03:48bj0create